<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method");
header("Access-Control-Allow-Methods: GET, POST, OPTIONS, PUT, DELETE");
header("Allow: GET, POST, OPTIONS, PUT, DELETE");
$method = $_SERVER['REQUEST_METHOD'];
if($method == "OPTIONS") {
    die();
}
require './config.php';
require './conexion.php';
require './models.php';

$D = new Data();

$inputJSON = file_get_contents('php://input');
$inputData = json_decode($inputJSON, true); 
if (isset($_GET['registro'])) {
	if ($_GET['accion'] == "nuevo") {
		$campos = array(
		"prefijo",
		"nombre",
		"apellidos",
		"email",
		"telefono",
		"pais",
		"estado",
		"especialidad_medica",
		"tipo_tarjeta",
		"status");
		$valores = array(
			$inputData["prefijo"],
			$inputData["nombre"],
			$inputData["apellidos"],
			$inputData["email"],
			$inputData["telefono"],
			$inputData["pais"],
			$inputData["estado"],
			$inputData["especialidad_medica"], 
			45454,
			2121
		);

		$Registrados=$D->getAllRegistros();

		$D->setTabla("registrosPagados");
		$D->insertar($campos, $valores);
		print_r($inputData);
		echo "hlaaa";
		exit;
	
	} elseif ($_GET['accion'] == "activar") {
		$campos = array("activo");
		$valores = array(1);
		$condicion = " id=" . $_GET['id'];
		if ($S->actualizar($campos, $valores, $condicion)) {
			$H->crearMensaje("Sesion activado", "success");
			header("Location: ../?seccion=sesiones&accion=todos");
			exit;
		} else {
			$H->crearMensaje("No se guardaron los cambios", "danger");
			header("Location: ../?seccion=sesiones");
			exit;
		}
	} elseif ($_GET['accion'] == "editar" && is_numeric($_POST['id'])) {
		$campos = array("tema", "fecha", "descripcion_correo", "color1", "color2", "color3", "w", "x", "y", "orientacion", "alineacion", "size", "x_folio", "y_folio", "size_folio","colorf1", "colorf2", "colorf3");
		$valores = array($_POST['tema'], $_POST['fecha'], $_POST['texto'], $_POST['color1'], $_POST['color2'], $_POST['color3'], $_POST['w'], $_POST['x'], $_POST['y'], $_POST['orientacion'], $_POST['alineacion'], $_POST['size'], $_POST['x_folio'], $_POST['y_folio'], $_POST['size_folio'], $_POST['colorf1'], $_POST['colorf2'], $_POST['colorf3']);
		$condicion = " id=" . $_POST['id'];
		if ($S->actualizar($campos, $valores, $condicion)) {

			if (isset($_FILES['template'])) {
				move_uploaded_file($_FILES['template']['tmp_name'], "../fondos/sesiones/" . $_POST['id'] . ".jpg");
			}

			$H->crearMensaje("Datos actualizados correctamente", "success");
			header("Location: ../?seccion=sesiones&accion=editar&id=" . $_POST['id']);
			exit;
		} else {
			$H->crearMensaje("No se guardaron los cambios", "danger");
			header("Location: ../?seccion=sesiones&accion=editar&id=" . $_POST['id']);
			exit;
		}
	} elseif ($_GET['accion'] == "alta" && isset($_POST)) {

		$campos = array("tema", "fecha", "descripcion_correo");
		$valores = array($_POST['tema'], $_POST['fecha'], $_POST['texto']);
		$id = $S->insertar($campos, $valores);

		if (isset($_FILES['template'])) {
			move_uploaded_file($_FILES['template']['tmp_name'], "../fondos/sesiones/" . $id . ".jpg");
		}

		if ($id) {
			$H->crearMensaje("Sesión registrada correctamente", "success");
			header("Location: ../?seccion=sesiones&accion=todos");
			exit;
		} else {
			$H->crearMensaje("No se guardaron los cambios", "danger");
			header("Location: ../?seccion=sesiones&accion=nuevo");
			exit;
		}
	} elseif ($_GET['accion'] == "asistencia" && is_numeric($_GET['sesion']) && is_numeric($_GET['id'])) {
		require '../models/constancia.php';
		$C = new Constancia();
		require '../models/socio.php';
		$Soc = new Socio();
		$sesion = $S->getSesionById($_GET['sesion']);
		$socio = $Soc->getSocioByIdConstancia($_GET['id']);
		$folio = $S->getFolioSesion($_GET['sesion'], $_GET['id']);


		error_reporting(0);
// create new PDF document
		$pdf = new Fpdi($sesion->orientacion, "cm","letter");

// set document information
		$pdf->SetCreator("JC Innovation");
		$pdf->SetAuthor('JC Innovation');
		$pdf->SetTitle('Constancia');

// set header and footer fonts
	

		$pdf->AddPage();

// -- set new background ---

// get the current page break margin
		$bMargin = $pdf->getBreakMargin();
// get current auto-page-break mode
		$auto_page_break = $pdf->getAutoPageBreak();
// disable auto-page-break
		$pdf->SetAutoPageBreak(false, 0);
// set bacground image
		$img_file =  '../fondos/sesiones/' . $_GET['sesion'] . '.jpg';

		$o_x = 297;
		$o_y = 210;
		if ($sesion->orientacion == "P") {
			$o_x = 210;
			$o_y = 297;
		}
		$pdf->Image($img_file, 0, 0, $o_x, $o_y, '', '', '', false, 300, '', false, false, 0);
// restore auto-page-break status
		$pdf->SetAutoPageBreak($auto_page_break, $bMargin);
// set the starting point for the page content
		$pdf->setPageMark();

// Print a text
		$muestra_bordes = false;
// set font
		$pdf->SetFont('times', 'B', $sesion->size);
		$pdf->SetTextColor($sesion->color1, $sesion->color2, $sesion->color3);
		$pdf->setXY($sesion->x, $sesion->y);
		$pdf->MultiCell($sesion->w, .5, ($socio->prefijotxt . " " . $socio->nombre . " " . $socio->apellidop . " " . $socio->apellidom), $muestra_bordes, $sesion->alineacion, 0, 1, '', '', true);
		if ($_GET['sesion'] == 4) {
			$pdf->SetTextColor(0, 0, 0);
		}

		$pdf->SetTextColor($sesion->colorf1, $sesion->colorf2, $sesion->colorf3);

		$pdf->SetFont('times', 'B', $sesion->size_folio);
		$pdf->setXY($sesion->x_folio, $sesion->y_folio);
		$pdf->MultiCell(60, .5, $folio, $muestra_bordes, "L", 0, 1, '', '', true);
// ---------------------------------------------------------

//Close and output PDF document
		if (isset($_GET['download'])) {
			$pdf->Output("../tmp/constancia" . $_GET['sesion'] . "-" . $_GET['id'] . ".pdf", 'D');
			exit;
		} else {
			$pdf->Output("../tmp/constancia" . $_GET['sesion'] . "-" . $_GET['id'] . ".pdf", 'F');
		}

		$H->enviarConstanciaSesion($sesion, $socio->email, $socio->nombre . " " . $socio->apellidop . " " . $socio->apellidom, "../tmp/constancia" . $_GET['sesion'] . "-" . $_GET['id'] . ".pdf");

		$H->crearMensaje("Asistencia marcada y correo enviado correctamente", "success");
		header("Location: ../?seccion=sesiones&accion=asistencia&id=" . $_GET['sesion']);
		exit;
	} elseif ($_GET['accion'] == "preview" && is_numeric($_GET['sesion'])) {

		require '../models/socio.php';
		$Soc = new Socio();
		$sesion = $S->getSesionById($_GET['sesion']);
		error_reporting(0);


// create new PDF document
$pdf = new Fpdi($sesion->orientacion, "cm","letter");

// set document information
		$pdf->SetCreator("JC Innovation");
		$pdf->SetAuthor('JC Innovation');
		$pdf->SetTitle('Constancia');

// set header and footer fonts
		$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));

// set default monospaced font
		$pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);

// set margins
		$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
		$pdf->SetHeaderMargin(0);
		$pdf->SetFooterMargin(0);

// remove default footer
		$pdf->setPrintFooter(false);

// set auto page breaks
		$pdf->SetAutoPageBreak(TRUE, PDF_MARGIN_BOTTOM);

// set image scale factor
		$pdf->setImageScale(PDF_IMAGE_SCALE_RATIO);

		$pdf->AddPage();

// -- set new background ---

// get the current page break margin
		$bMargin = $pdf->getBreakMargin();
// get current auto-page-break mode
		$auto_page_break = $pdf->getAutoPageBreak();
// disable auto-page-break
		$pdf->SetAutoPageBreak(false, 0);
// set bacground image
		$img_file = K_PATH_IMAGES . 'sesiones/' . $_GET['sesion'] . '.jpg';

		$o_x = 297;
		$o_y = 210;
		if ($sesion->orientacion == "P") {
			$o_x = 210;
			$o_y = 297;
		}
		$pdf->Image($img_file, 0, 0, $o_x, $o_y, '', '', '', false, 300, '', false, false, 0);
// restore auto-page-break status
		$pdf->SetAutoPageBreak($auto_page_break, $bMargin);
// set the starting point for the page content
		$pdf->setPageMark();

// Print a text
		$muestra_bordes = 1;

		$timestamp = strtotime(date("Y-m-d"));

		$day = date('d', $timestamp);
		$month = date('m', $timestamp);
		$year = date('Y', $timestamp);

		$folio = $day . $month . substr($year, -2) . str_pad(1, 2, "0", STR_PAD_LEFT);

		$pdf->SetFont('times', 'B', $sesion->size);
		$pdf->SetTextColor($sesion->color1, $sesion->color2, $sesion->color3);
		$pdf->setXY($sesion->x, $sesion->y);
		$pdf->MultiCell($sesion->w, .5, ("NOMBRE COMPLETO DE CONSTANCIA"), $muestra_bordes, $sesion->alineacion, 0, 1, '', '', true);
		if ($_GET['sesion'] == 4) {
			$pdf->SetTextColor(0, 0, 0);
		}

		$pdf->SetTextColor($sesion->colorf1, $sesion->colorf2, $sesion->colorf3);
		$pdf->SetFont('times', 'B', $sesion->size_folio);
		$pdf->setXY($sesion->x_folio, $sesion->y_folio);
		$pdf->MultiCell(60, .5, $folio, $muestra_bordes, "L", 0, 1, '', '', true);

		$pdf->Output("constancia_previa.pdf", 'I');
	}
}

?>