<?php 
include 'config.php';
require 'conexion.php';
require 'models.php';
$H = new Data();
$registro = $H->registrados();
// $estados = $H->getEstadoBYPais(156); 
// print_r($estados);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
  

</head>
<body>
    <div class="container">
        <div class="">
            <div class="container">
                <h4 class="p-5">Reporte de registrados</h4>
            </div>
            <div class="container p-2">
                <div class="table-responsive">
                <table class="table table-bordered table-striped mb-none datatable" id="miTabla">
                        <thead>
                            <tr>
                            <th scope="col">ID</th>
                            <th scope="col">Nombre Completo</th>
                            <th scope="col">Email</th>
                            <th scope="col">Estatus</th>
                            <th scope="col">País</th>
                            <th scope="col">Estado</th>
                            <th scope="col">Razon Social</th>
                            <th scope="col">RFC</th>
                            <th scope="col">Código Postal</th>
                            <th scope="col">CFDI</th>
                            <th scope="col">Regimen Fiscal</th>
                            <th scope="col">Cédula de Situación Fiscal</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $i=0; foreach($registro as $registros){ $i++;?>
                                <tr>
                                <th><?php echo $i;?></th>
                                <td><?php echo $registros->nombre." " .$registros->apellidos?></td>
                                <td><?php echo $registros->email?></td>
                                <td><?php
                                    if ($registros->status == 1) {
                                        echo "PAGADO";
                                    } elseif ($registros->status == 0) {
                                        echo "NO PAGADO";
                                    } else {
                                        echo "Estado desconocido";
                                    }
                                    ?>
                                </td>
                                <td>
                                    <?php $pais = $H->pais($registros->pais);
                                    echo $pais[0]->pais;?>
                                </td>
                                <td>
                                    <?php $estado = $H->estado($registros->estado);
                                    echo $estado[0]->estado;?>
                                </td>
                                <td>
                                    <?php $razon = $H->razon($registros->email);
                                    if (!empty($razon) && isset($razon[0]->razon_social)) {
                                        echo $razon[0]->razon_social;
                                    } else {
                                        echo "Razón social no encontrada";
                                    }?>
                                </td>
                                <td>
                                    <?php $razon = $H->razon($registros->email);
                                        if (!empty($razon) && isset($razon[0]->rfc)) {
                                            echo $razon[0]->rfc;
                                        } else {
                                            echo "RFC no encontrado";
                                        }?>
                                    </td>
                                <td>
                                    <?php $codigo_postal = $H->razon($registros->email);
                                    if (!empty($codigo_postal) && isset($codigo_postal[0]->codigo_postal)) {
                                        echo $codigo_postal[0]->codigo_postal;
                                    } else {
                                        echo "Código postal no encontrado";
                                    }?>
                                </td>
                                <td>
                                    <?php $CFDI = $H->razon($registros->email);
                                    if (!empty($CFDI) && isset($CFDI[0]->cdf)) {
                                        echo $CFDI[0]->cdf;
                                    } else {
                                        echo "CFDI no encontrado";
                                    }?>
                                </td>
                                <td>
                                    <?php $regimen_fiscal = $H->razon($registros->email);
                                    if (!empty($regimen_fiscal) && isset($regimen_fiscal[0]->regimen_fiscal)) {
                                        echo $regimen_fiscal[0]->regimen_fiscal;
                                    } else {
                                        echo "Regimen fiscal no encontrado";
                                    }?>
                                </td>
                                <td>
                                    <?php $cedula = $H->razon($registros->email);
                                    if (!empty($cedula) && isset($cedula[0]->cedula)) {
                                        echo $cedula[0]->cedula;
                                    } else {
                                        echo "Cédula de Situación Fiscal no encontrada";
                                    }?>
                                </td>
                                </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    <script>
    $(document).ready(function() {
        $('#miTabla').DataTable({
            searching: true, // Habilita el buscador
            paging: true, // Habilita la paginación
            ordering: true, // Habilita la ordenación de columnas
        });
    });
</script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script> 
</body>
</html>