<?php 
include 'config.php';
require 'conexion.php';
require 'models.php';
$H = new Data();
$registro = $H->registrados();
// $estados = $H->getEstadoBYPais(156); 
// print_r($estados);
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/dataTables.bootstrap4.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

</head>
<body>
    <div class="container">
    <div class="container">
                <h4 class="p-5">Reporte de registrados</h4>
            </div>
    <table id="example" class="table table-striped table-bordered" style="width:100%">
        <thead>
            <tr>
                <th scope="col">ID</th>
                <th scope="col">Nombre Completo</th>
                <th scope="col">Email</th>
                <th scope="col">Telefono</th>
                <th scope="col">Estatus</th>
                <th scope="col">País</th>
                <th scope="col">Estado</th>
                <th scope="col">Razón Social</th>
                <th scope="col">Requiere Factura</th>
                <th scope="col">RFC</th>
                <th scope="col">Código Postal</th>
                <th scope="col">CFDI</th>
                <th scope="col">Régimen Fiscal</th>
                <th scope="col">Cédula de Situación Fiscal</th>
            </tr>
        </thead>
        <tbody>
            <?php $i=0; foreach($registro as $registros){ $i++;?>
            <tr>
                <th><?php echo $i;?></th>
                <td><?php echo $registros->nombre." " .$registros->apellidos?></td>
                <td><?php echo $registros->email?></td>
                <td><?php echo $registros->lada ." ".$registros->telefono?></td>
                <td><?php
                    if ($registros->status == 1) {
                        echo "PAGADO";
                    } elseif ($registros->status == 0) {
                        echo "NO PAGADO";
                    } else {
                        echo "Estado desconocido";
                    }
                    ?>
                </td>
                <td>
                    <?php $pais = $H->pais($registros->pais);
                    echo $pais[0]->pais;?>
                </td>
                <td>
                    <?php $estado = $H->estado($registros->estado);
                    echo $estado[0]->estado;?>
                </td>
                <td>
                    <?php $razon = $H->razon($registros->email);
                        if (!empty($razon) && isset($razon[0]->razon_social)) {
                            echo $razon[0]->razon_social;
                        } else {
                            /* echo "Razón social no encontrada"; */
                        }?>
                </td>
                <td>
                    <?php $razon = $H->razon($registros->email);
                        if (isset($razon[0]->razon_social)) {
                             echo "SI REQUIERE FACTURA"; 
                            // ?><i class="fa fa-check" aria-hidden="true" style="color: green"></i><?php
                        } else {
                            echo "NO REQUIERE FACTURA"; 
                            // ?><i class="fa fa-times" aria-hidden="true" style="color: red"></i><?php
                        }?>
                </td>
                <td>
                    <?php $razon = $H->razon($registros->email);
                    if (!empty($razon) && isset($razon[0]->rfc)) {
                        echo $razon[0]->rfc;
                    } else {
                        /* echo "RFC no encontrado"; */
                    }?>
                </td>
                <td>
                    <?php $codigo_postal = $H->razon($registros->email);
                    if (!empty($codigo_postal) && isset($codigo_postal[0]->codigo_postal)) {
                        echo $codigo_postal[0]->codigo_postal;
                    } else {
                        /* echo "Código postal no encontrado"; */
                    }?>
                    </td>
                <td>
                    <?php $CFDI = $H->razon($registros->email);
                    if (!empty($CFDI) && isset($CFDI[0]->cdf)) {
                        $CFD = $H->razonT($CFDI[0]->cdf);
                        echo $CFD[0]->descripcion;
                    } else {
                        /* echo "CFDI no encontrado"; */
                    }?>
                </td>
                <td>
                    <?php $regimen_fiscal = $H->razon($registros->email);
                    if (!empty($regimen_fiscal) && isset($regimen_fiscal[0]->regimen_fiscal)) {
                        //echo $regimen_fiscal[0]->regimen_fiscal;
                        $regimen_fisca = $H->razonR($regimen_fiscal[0]->regimen_fiscal);
                        echo $regimen_fisca[0]->descripcion;
                    } else {
                        /* echo "Regimen fiscal no encontrado"; */
                    }?>
                </td>
                <td>
                    <?php $cedula = $H->razon($registros->email);
                        $carpeta_archivos = 'archivos_usuarios/archivo_' . $registros->email;
                        $hay_doc = false;
                        if (file_exists("archivos_usuarios/archivo_" . $registros->email  . ".pdf")) {
                            $hay_doc = true;
                        ?>
                        <a target="_blank" href="archivos_usuarios/archivo_<?php echo $registros->email; ?>.pdf?<?php echo date('His') ?>" class="btn btn-sm btn-info">Ver</a>
                    <?php
                        }if (!empty($cedula) && isset($cedula[0]->cedula)) {
                           echo $cedula[0]->cedula;
                        } else {
                            /* echo "Cédula de Situación Fiscal no encontrada"; */
                        } ?>
                </td>
            </tr>
        <?php } ?>
        </tbody>
    </table>
    </div>
    


<script src="https://code.jquery.com/jquery-3.7.0.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.13.6/js/dataTables.bootstrap4.min.js"></script>
<script>
    $(document).ready(function(){
        $('#example').DataTable();
    })
</script>
</body>
</html>