<?php
include 'config.php';
require 'conexion.php';
require 'models.php';
$H = new Data();
$paises = $H->getPaisesE();
// $estados = $H->getEstadoBYPais(156); 
// print_r($estados);


// foreach ($paises as $pais){
//     echo $pais->pais. " ";
// }

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>REGISTRO: CURSO DEL MANEJO MÉDICO Y QUIRÚRGICO DE LA ENFERMEDAD DE HIRSCHSPRUNG Y SUS SECUELAS</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <style>
        .contenForm {}

        .customConten {
            /* max-width: 500px; */
            margin: auto;
            /* transform: translateY(160px); */
            display: flex;
            justify-content: center;
            align-items: center;
            flex-wrap: wrap;
            /* animation: 2s infinite alternate cambioCara; */
        }

        .registro {
            animation: 2s infinite alternate cambioCara;
        }

        body {
            /* height: 100vh; */
            overflow-x: hidden;
            animation: 10s infinite alternate desaumentoIMG;
            background-size: cover;
            background-position: center;
            background-image: url("./assets/images/1p.jpg");
        }

        .dtx {
            min-height: 100vh;
            margin: auto;
            display: flex;
            flex-wrap: wrap;
        }

        .backIMG {
            height: 100vh;
            animation: 60s infinite alternate desaumentoIMG;
            position: absolute;
            width: 100vh;
            background-size: cover;
            background-position: center;
        }



        @keyframes desaumentoIMG {
            0% {
                background-image: url("./assets/images/1p.jpg");
            }

            50% {
                background-image: url("./assets/images/2p.jpg");
            }

            100% {
                /* scale: 2.2; */
                background-image: url("./assets/images/1p.jpg");
            }
        }

        .customForm {
            background-color: #ffffff45;
            padding: 15px;
            border-radius: 10px;
            backdrop-filter: blur(5px);
            max-width: 450px;
        }

        @media (min-width:602px) {
            .customIMG {
                max-width: 450px;
                height: 380px;
            }
        }

        .contenTitulo {
            width: 100%;
            /* height: 200px; */
            background-color: #0c407b;
            padding: 10px 0px;
        }

        .contenTitulo h2 {
            text-align: center;
            margin: auto;
            color: #ffffff;
            margin-bottom: 40px;
            /* margin-top: 24px; */


        }

        .customContenPago {
            margin: auto;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-wrap: wrap;
            /* transform: translateY(-100px) rotateX(270deg); */

            /* animation: 2s infinite alternate cambioCaraPago; */
        }

        .pago {
            animation: 2s infinite alternate cambioCaraPago;
        }


        @keyframes cambioCara {
            100% {
                background-color: #ffffff45;
                backdrop-filter: blur(5px);
                transform: translateY(-100px) rotateX(90deg);
            }
        }

        @keyframes cambioCaraPago {
            50% {
                background-color: #ffffff45;
                backdrop-filter: blur(5px);
            }

            100% {
                background-color: transparent;
                backdrop-filter: blur(0px);
                transform: translateY(-360px) rotateX(360deg);
            }
        }

        .rotador {
            /* scale: 0.9; */
            width: 100%;
            height: 100%;
            height: 750px;
            position: relative;
            transform-style: preserve-3d;
            transform: translateZ(-150px);
            transition: all 1s;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .sides {
            position: absolute;
            /* width: 300px;
  height: 450px; */
            transform: scale(0.7);
        }

        .side-1 {
            transform: rotateX(0deg) translateZ(270px);
            z-index: 2;

        }

        .side-2 {

            transform: rotateX(90deg) translateZ(270px);
        }

        .rotacion {
            transform: translateZ(-270px) rotateX(-90deg);

        }

        @media (max-width:875px) {
            .rotador {
                scale: 0.7;
            }
        }

        .custombtn {
            margin-left: auto;
        }

        .labelPago {
            font-size: x-large;
            font-weight: 700;
            background-color: #ff898996;
            border-radius: 0px 10px 10px;
            color: #ffffff;
        }

        .customLabel {
            /* color: #ffffff; */
            background-color: #ffffff;
            border-radius: 10px;
            padding: 10px;
        }

        .card_pago {
            width: 90%;
            height: 200px;
            margin: 15px auto;
            padding: 10px;
            background-color: #3582f4;
            border-radius: 10px;
            color: #ffffff;
        }

        .chip {
            width: 50px;
            margin: 0 5%;
            border-radius: 10px;
        }

        .t-text1 {
            display: inline-block;
            width: 70%;
            text-align: center;
        }

        .t-text2 {
            text-align: center;
        }

        .t-text3 {
            width: 50px;
            display: inline-block;
        }

        .t-text4 {
            display: inline-block;
            width: 80%;
        }

        .t-text5 {
            text-align: center;
        }

        .btn-check:checked+.btn {
            background-color: #3582f4;
            color: #ffffff;
        }

        .inputsFacturacion {
            display: flex;
            justify-content: space-between;
            align-items: center;
            flex-wrap: wrap;
        }

        .display_none {
            display: none;
        }

        .imagenCurosFin {
            margin: auto;
            width: 90%;
            border-radius: 20px;
            max-width: 850px;
        }
    </style>
</head>

<body id="root" class="dtx responsive">
    <!-- <img class="backIMG" src="" alt=""> -->
    <div class="contenTitulo ">
        <h3 style="color:white " class="text-center">
            CURSO DEL MANEJO MÉDICO Y QUIRÚRGICO DE LA ENFERMEDAD DE HIRSCHSPRUNG Y SUS SECUELAS <br> ENFERMEDAD DE HIRSCHSPRUNG 2025
            <!-- CURSO INTERNACIONAL PUEBLA 2024 -->
            </3>
            <!-- <h2 style="color:red" style="text-align: center; margin-left: 50px;">
                ¡REGISTRO CERRADO POR LÍMITE DE CUPO!
            </h2> -->
    </div>
    <!-- <img class="imagenCurosFin" src="./assets/images/finCurso.jpg" alt=""> -->
    <div class="container-md  customConten ">
        <form action="https://jc-innovation.com/curso-internacional/redpay.php?pago" class="row g-3 customForm"
            method="post" id="form_Absoluto" enctype="multipart/form-data">
            <center>
                <!-- ./registroFiscal.php -->
                <div target="_blank" class="btn btn-primary btn-md">
                    Datos del Inscrito
                </div>
            </center>
            <div class="form-floating col-md-3">
                <select id="r1" name="prefijo" style="border: 1px solid #eb6722;" class="form-select" required>
                    <option value="">Prefijo</option>
                    <option value="Dr.">Dr.</option>
                    <option value="Dra.">Dra.</option>
                    <option value="Enf.">Enf.</option>
                    <option value="Sr.">Sr.</option>
                    <option value="Sra.">Sra.</option>
                </select>
            </div>
            <div class="form-floating col-md-9">
                <input name="nombre" type="text" class="form-control" id="r2" placeholder="Nombre" required>
                <label for="floatingName">Nombre</label>
            </div>
            <div class="form-floating col-md-12">
                <input name="apellidos" type="text" class="form-control" id="r3" placeholder="Apellidos" required>
                <label for="floatingLastName">Apellidos</label>
            </div>
            <div class="form-floating col-md-12">
                <input name="email" type="email" class="form-control" id="r4" placeholder="Correo Electronico" required>
                <label for="floatingEmailAddress">Correo Electrónico</label>
            </div>
            <div class="form-floating col-md-12">
                <input type="email" class="form-control" id="r9" placeholder="Correo Electronico"
                    name="emailConfirmacion" required>
                <label for="floatingEmailAddress">Confirmación Correo Electrónico</label>
            </div>
            <div class="col-md-6">
                <select id="pais" name="pais" style="border: 1px solid #eb6722;" class="form-select" required
                    onchange="updatePais();">
                    <?php $paises = $H->getPaisesE(); ?>
                    <option value="">Seleccione país</option>
                    <?php foreach ($paises as $pais) { ?>
                        <option value="<?php echo $pais->id; ?>" data-lada="<?php echo $pais->lada; ?>">
                            <?php echo $pais->pais; ?>
                        </option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-6">
                <select id="estado" name="estado" style="border: 1px solid #eb6722;" class="form-select" required>
                    <?php $estados = $H->getEstadoBYPais(156); ?>

                    <option value="">Seleccionar estado</option>
                    <?php foreach ($estados as $estado) { ?>
                        <option value="<?php echo $estado->id ?> ">
                            <?php echo $estado->estado ?>
                        </option>
                    <?php } ?>

                </select>
            </div>
            <div class="form-floating col-md-6">
                <select id="r8" name="lada" style="border: 1px solid #eb6722;" class="form-select" placeholder="Lada" required>
                    <option value="">Código de Área Tel.</option>
                    <?php foreach ($paises as $pais) { ?>
                        <option value="<?php echo $pais->lada; ?>">
                            <?php echo $pais->lada; ?>
                        </option>
                    <?php } ?>
                </select>
            </div>
            <div class="form-floating col-md-6">
                <input name="telefono" type="tel" class="form-control" id="r5" placeholder="Número de Teléfono"
                    required>
                <label for="floatingPhoneNumber">Número de Teléfono</label>
            </div>

            <center class="customLabel">
                Datos del Inscrito
                <div class="btn btn-primary btn-lg" id="factura?" onclick="FacturaX()">
                    Click aquí si no requiere factura
                </div>
            </center>

            <span class="inputsFacturacion" id="contenFactu">

                <div class="form-floating col-md-6" style="margin-top: 10px;">
                    <input name="razon_social" type="text" class="form-control" id="r10" placeholder="Razón Social"
                        required>
                    <label for="floatingName">Razón Social</label>
                </div>
                <div class="form-floating col-md-6" style="margin-top: 10px;">
                    <input name="rfc" type="text" class="form-control" id="r11" placeholder="RFC" required>
                    <label for="floatingLastName">RFC</label>
                </div>
                <div class="form-floating col-md-6" style="margin-top: 10px;">
                    <input name="codigo_postal" type="number" class="form-control" id="r12" placeholder="Código Postal"
                        required>
                    <label for="floatingEmailAddress">Código Postal</label>
                </div>
                <div class="form-floating col-md-6" style="margin-top: 10px;">
                    <select id="r13" name="estado_fac" style="border: 1px solid #eb6722;" class="form-select" required>
                        <?php $estados = $H->getEstadoBYPais(156); ?>

                        <option value="">Seleccionar estado</option>
                        <?php foreach ($estados as $estado) { ?>
                            <option value="<?php echo $estado->id ?> ">
                                <?php echo $estado->estado ?>
                            </option>
                        <?php } ?>

                    </select>
                </div>
                <div class="form-floating col-md-4" style="margin-top: 10px;;">

                    <select id="r14" name="cdf" style="border: 1px solid #eb6722;" class="form-select" required>
                        <?php $CFDI = $H->getCFDI(); ?>

                        <option value="">USO CFDI</option>
                        <?php foreach ($CFDI as $C) {
                            if ($C->id != 25) { ?>
                                <option value="<?php echo $C->id ?> ">
                                    <?php echo $C->id_cfdi . " " . $C->descripcion ?>
                                </option>
                        <?php }
                        } ?>
                        <option value="25">Médicos extranjeros * uso gastos en general</option>

                    </select>
                </div>
                <div class="form-floating col-md-8" style="margin-top: 10px;">
                    <select id="r15" name="regimen_fiscal" style="border: 1px solid #eb6722;" class="form-select"
                        required>
                        <option value="">Selecciona un Régimen</option>
                        <optgroup label="Personas Físicas">
                            <?php
                            $dataR = $H->getRegimen();
                            foreach ($dataR as $dat) {
                                if ($dat->fisico == "Sí") {
                            ?>
                                    <option value="<?php echo $dat->id_regimen ?>">
                                        <?php echo $dat->id_regimen . " " . $dat->descripcion ?>
                                    </option>
                                <?php } ?>
                            <?php } ?>
                        </optgroup>
                        <optgroup label="Personas Morales">
                            <?php
                            foreach ($dataR as $dat) {
                                if ($dat->moral == "Sí") {
                            ?>
                                    <option value="<?php echo $dat->id_regimen ?>">
                                        <?php echo $dat->id_regimen . " " . $dat->descripcion ?>
                                    </option>
                                <?php } ?>
                            <?php } ?>
                        </optgroup>

                    </select>
                </div>
                <div class="form-floating col-md-12" style="margin-top: 10px;">
                    <center class="customLabel">
                        <b style="color: red;">Médicos extranjeros * <br>
                            Uso CFDI: Gastos en general <br>
                            Régimen Fiscal:616 Sin obligaciones fiscales
                        </b>
                    </center>
                </div>
                <div class="form-floating col-md-12" style="margin-top: 10px;">
                    <input type="file" name="cedula" class="form-control" id="r16" placeholder="Cédula"
                        accept="application/pdf">
                    <label for="floatingPhoneNumber">Constancia situación fiscal </label>
                </div>
                <div class="form-floating col-md-12" style="margin-top: 10px;">
                    <center class="customLabel">
                        <b style="color: red;">Nota: Solo se aceptan archivos PDF</b>
                    </center>
                </div>

            </span>

            <div class="customLabel">
                <center>
                    <input type="radio" class="btn-check" name="TipoTarjeta" id="option5" value="debito"
                        autocomplete="off" checked>
                    <label class="btn" for="option5">Débito</label>

                    <input type="radio" class="btn-check" name="TipoTarjeta" id="option6" value="credito"
                        autocomplete="off">
                    <label class="btn" for="option6">Crédito</label>
                </center>
            </div>
            <input id="quiereFactura" type="hidden" value="1" name="facturarP">
            <button class="btn btn-primary btn-lg"> Continuar </button>
        </form>
        <div>
            <img class="img-fluid customIMG" src="./assets/images/2024/curso_internacional.jpg" style="height:auto" alt=""><br>
            <div class="alert alert-warning d-flex align-items-center" role="alert">
                <div>
                    Los precios de los cursos están basados en pesos mexicanos.
                </div>
            </div>
        </div>
    </div>



    <input type="hidden" class="btn btn-primary" id="liveToastBtn" style="display: none;">

    <div class="toast-container position-fixed top-0 end-0 p-3 --bs-danger">
        <div id="liveToast" class="toast" role="alert" aria-live="assertive" aria-atomic="true"
            style="background-color: #ccb80b;color:#ffffff;">
            <div class="toast-header">
                <!-- <img src="..." class="rounded me-2" alt="..."> -->
                <strong class="me-auto">Cambio en datos de facturación </strong>
                <small>2s</small>
                <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
            </div>
            <div class="toast-body">
                Se cambiaron los datos de facturación
            </div>
        </div>
    </div>

    <?php
    if (isset($_GET["res"])) {
        $rechazo = [
            "PAGO RECHAZADO",
            "La transacción fue rechazada por validaciones o por
    respuesta del banco ",
            "background-color: #dc3545;color:#ffffff;"
        ];
        $CancelUsuario = ["PAGO CANCELADO", "Pago cancelado por el usuario ", "background-color: #dc3545;color:#ffffff;"];
        $pagado = ["ESTE CORREO YA PAGO", "ESTE CORREO YA REALIZO SU PAGO", "background-color: #cdb735;color:#ffffff;"];
        $EXPIRADA = [
            "TRANSACCIÓN EXPIRADA",
            "Se ha excedido el tiempo de espera para el pago de la
    transacción ",
            "background-color: #cdb735;color:#ffffff;"
        ];

        $message = ["COMPRA CANCELADA", "LA COMPRA FUE CANCELADA", "background-color: #dc3545;color:#ffffff;"];
        $CORREOeRRONEO = ["CONFIRMACIÓN DE EMAIL ERRÓNEO", "LOS CORREOS NO COINCIDEN", "background-color: #dc3545;color:#ffffff;"];
        $Archivo = ["Error con el archivo Cedula", "El archivo que se subió no tiene el peso o el formato correcto", "background-color: #dc3545;color:#ffffff;"];
        if ($_GET["res"] == 2522) {
            $message = $rechazo;
        }
        if ($_GET["res"] == 2524) {
            $message = $pagado;
        }
        if ($_GET["res"] == 2523) {
            $message = $CancelUsuario;
        }
        if ($_GET["res"] == 2525) {
            $message = $EXPIRADA;
        }
        if ($_GET["res"] == 2529) {
            $message = $Archivo;
        }
        if ($_GET["res"] == 2530) {
            $message = $CORREOeRRONEO;
        }
    ?>
        <div class="toast-container position-fixed top-0 end-0 p-3 --bs-danger">
            <div id="liveToastStatus" class="toast" role="alert" aria-live="assertive" aria-atomic="true"
                style="<?php echo $message[2] ?>">
                <div class="toast-header">
                    <!-- <img src="..." class="rounded me-2" alt="..."> -->
                    <strong class="me-auto">
                        <?php echo $message[0] ?>
                    </strong>
                    <small>2s</small>
                    <button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
                </div>
                <div class="toast-body">
                    <?php echo $message[1] ?>
                </div>
            </div>
        </div>
    <?php
    }
    ?>


    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
        crossorigin="anonymous"></script>
    <script>
        const toastTrigger = document.getElementById('liveToastBtn')
        const toastLiveExample = document.getElementById('liveToast')

        if (toastTrigger) {
            const toastBootstrap = bootstrap.Toast.getOrCreateInstance(toastLiveExample)
            toastTrigger.addEventListener('click', () => {
                toastBootstrap.show()
            })
        }
        const toastTriggerStatus = document.getElementById('liveToastBtnStatus')
        const toastLiveExampleStatus = document.getElementById('liveToastStatus')

        const StatusCompra = () => {
            const toastBootstrap = bootstrap.Toast.getOrCreateInstance(toastLiveExampleStatus)
            toastBootstrap.show()
        }

        <?php if (isset($_GET["res"])) { ?>
            StatusCompra()
        <?php } ?>


        let factura = 1
        const FacturaX = () => {
            if (factura == 0) {
                factura = 1
                console.log("Requiere factura")
                $('#r10').prop("required", true);
                $('#r11').prop("required", true);
                $('#r12').prop("required", true);
                $('#r13').prop("required", true);
                $('#r14').prop("required", true);
                $('#r15').prop("required", true);
                // $('#r16').prop("required", true);
                document.getElementById("quiereFactura").value = 1
                document.getElementById("factura?").textContent = "Click aquí si no requiere factura"
            } else {
                factura = 0
                console.log("No requiere factura")
                $('#r10').prop("required", false);
                $('#r11').prop("required", false);
                $('#r12').prop("required", false);
                $('#r13').prop("required", false);
                $('#r14').prop("required", false);
                $('#r15').prop("required", false);
                // $('#r16').prop("required", false);
                // document.getElementById("r10").value=""
                document.getElementById("quiereFactura").value = 0
                document.getElementById("factura?").textContent = "Click aquí si  requiere factura"
            }

            document.getElementById("liveToastBtn").click()
            document.getElementById("contenFactu").classList.toggle("display_none")
        }
    </script>
    <script src="assets/jquery-3.3.1.min.js" defer></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"
        integrity="sha512-U6K1YLIFUWcvuw5ucmMtT9HH4t0uz3M366qrF5y4vnyH6dgDzndlcGvH/Lz5k8NFh80SN95aJ5rqGZEdaQZ7ZQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script type="text/javascript">
        function updatePais() {
            var pais = $("#pais").val();
            $.ajax({
                    url: 'getEstados2.php',
                    type: 'POST',
                    dataType: 'json',
                    data: {
                        pais: pais
                    },
                })
                .done(function(datos) {
                    if (datos.respuesta == "OK") {
                        $("#estado").html(datos.html);
                    } else {
                        $("#estado").html("<option value=''>No hay datos</option>");
                    }
                })
                .fail(function(datos) {
                    console.log(datos.responseText);
                });

        }
    </script>
    <script>
        function updatePais() {
            // Get the selected country
            var paisSelect = document.getElementById("pais");
            var selectedOption = paisSelect.options[paisSelect.selectedIndex];

            // Get the lada code from the selected option's data attribute
            var lada = selectedOption.getAttribute("data-lada");

            // Update the lada select input field
            var ladaSelect = document.getElementById("r8");
            ladaSelect.value = lada; // Set the value to the lada code
        }
    </script>
</body>

</html>