<?php
class Data extends Conexion {
	public function __construct() {
		parent::__construct();
	}

	public function getAllRegistros() {
		$sql = "SELECT * FROM registrosPagados ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getRegistradoByEmail($Email) {
		$sql = " SELECT * FROM registrosPagados  where email='$Email'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getDataFactura($Email) {
		$sql = " SELECT * FROM datos_facturacion  where email='$Email'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getRegimen() {
		$sql = " SELECT * FROM regimenesfiscales  ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getCFDI() {
		$sql = " SELECT * FROM cfdi  ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getRegistradoByReference($reference) {
		$sql = " SELECT * FROM registrosPagados  where referencia='$reference'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getPaisesE() {
		$sql = "SELECT * from e_paises ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getSemanaFechaByModulo($modulo) {
		$sql = "SELECT * FROM fechas_comentarios_videos WHERE modulo_id = '".$modulo."' ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetch(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getEstadosByPaisE() {
		$sql = "SELECT * FROM `e_estados` ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetch(PDO::FETCH_OBJ);
		return $resultado;
	}

	public function getAllComentariosVideos($modulo) {
		$sql = "SELECT p.comentario as pregunta, p.fecha_hora, concat(a.nombre, ' ', a.apellidop, ' ', a.apellidom) as nombre, v.titulo, v.ponentes FROM e_comentarios_videos as p INNER JOIN socios as a ON a.id=p.usuario_id INNER JOIN videos as v on v.id=p.video_id WHERE p.modulo_id=" . $modulo . " order by p.fecha_hora desc";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function getEstadisticas($modulo) {
		$sql = "SELECT t.fecha_hora_inicio as fecha_hora, concat(u.nombre, ' ',u.apellidop, ' ',u.apellidom) as nombre, u.email
		FROM socios as u
		INNER JOIN e_progresos_transmision as t on u.id_socio=t.usuario_id
		WHERE  t.modulo_id=" . $modulo . " order by t.fecha_hora_inicio desc ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstadisticasCompletos($modulo) {
		$sql = "SELECT u.id,t.fecha_hora_inicio as fecha_hora, concat(u.nombre, ' ',u.apellidop, ' ',u.apellidom) as nombre, u.email,  t.tiempo
		FROM usuarios as u
		INNER JOIN e_progresos_transmision as t on u.id=t.usuario_id
		LEFT JOIN paises as p on p.id=u.pais
		WHERE  t.modulo_id=" . $modulo . " order by t.fecha_hora_inicio desc ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getAllComentarios($modulo) {
		$sql = "SELECT c.comentario, concat(s.nombre,' ',s.apellidos) as realizo, c.fecha_hora FROM e_comentarios as c
		INNER JOIN usuarios as s on c.usuario_id = s.id
		WHERE c.modulo_id =" . $modulo;
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstadisticasByPais($sesion) {

		$sql = "SELECT p.pais, count(*) as total
		FROM usuarios as u
		INNER JOIN e_progresos_transmision as t ON u.id=t.usuario_id
		INNER JOIN paises as p ON p.id=u.pais

		WHERE t.modulo_id=" . $sesion . "  group by p.id order by total desc";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchAll(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstadisticasByEstado($modulo) {
		$sql="SELECT u.estado as edo,count(u.estado) as total FROM socios as u 
		INNER JOIN e_progresos_transmision as t on u.id_socio=t.usuario_id
		WHERE  t.modulo_id=" . $modulo . "  AND u.email NOT LIKE '%@jc-innovation%'  group by u.estado order by total asc ";


		//$sql = "SELECT t.fecha_hora_inicio as fecha_hora, concat(u.nombre, ' ',u.apellidos) as nombre, u.email, u.estado, u.categoria, u.pais
		//FROM alumnos as u
		//INNER JOIN progresos_transmision as t on u.id=t.usuario_id
		//WHERE  t.modulo_id=" . $modulo . " AND u.email NOT LIKE '%@jc-innovation%' order by t.fecha_hora_inicio desc ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstadisticasByEstadototal($modulo) {
		$sql="SELECT count(u.estado) as total FROM socios as u
		INNER JOIN e_progresos_transmision as t on u.id_socio=t.usuario_id
		WHERE  t.modulo_id=" . $modulo . "  AND u.email NOT LIKE '%@jc-innovation%'";


		//$sql = "SELECT t.fecha_hora_inicio as fecha_hora, concat(u.nombre, ' ',u.apellidos) as nombre, u.email, u.estado, u.categoria, u.pais
		//FROM alumnos as u
		//INNER JOIN progresos_transmision as t on u.id=t.usuario_id
		//WHERE  t.modulo_id=" . $modulo . " AND u.email NOT LIKE '%@jc-innovation%' order by t.fecha_hora_inicio desc ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstado($id) {
		$sql = "SELECT estado FROM e_estados WHERE id=" . $id;
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstado1($estado) {
		$sql = "SELECT estado FROM e_estados WHERE estado LIKE '%" . $estado . "%'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstadisticasByPais1($modulo) {
		$sql="SELECT u.id_nacionalidad as paises,count(u.id_nacionalidad) as total  FROM socios as u INNER JOIN e_paises as p ON u.id_nacionalidad=p.id
		INNER JOIN e_progresos_transmision as t on u.id_socio=t.usuario_id
		WHERE  t.modulo_id=" . $modulo . "  AND u.email NOT LIKE '%@jc-innovation%'  group by u.id_nacionalidad  order by total asc";


		//$sql = "SELECT t.fecha_hora_inicio as fecha_hora, concat(u.nombre, ' ',u.apellidos) as nombre, u.email, u.estado, u.categoria, u.pais
		//FROM alumnos as u
		//INNER JOIN progresos_transmision as t on u.id=t.usuario_id
		//WHERE  t.modulo_id=" . $modulo . " AND u.email NOT LIKE '%@jc-innovation%' order by t.fecha_hora_inicio desc ";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getEstadoBYPais($id) {
		$sql = "SELECT * FROM e_estados WHERE pais_id=" . $id;
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	public function getPais1($pais) {
		$sql = "SELECT pais FROM e_paises WHERE pais LIKE '%" . $pais . "%'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function Pagados2023($pais=null) {
		$sql = "SELECT cat.nombrecategoria as categoria_socio, df.factura_id, so.id_socio, CONCAT(so.nombre,' ' , so.apellidop,' ', so.apellidom) as Nombre, so.email, so.rfc, CASE
			WHEN f.socio_id=so.id_socio AND df.concepto_id IN (109,110,111,112,113,114,115,116,117,118,119,120,126,127,128,129,130,131,132,133,134,135,136,149,150,151,152,153,154,160,161,162,163,164,165,167,168,169,170,171,172,185,186,187,188,189,190,192,193,194,195,196,197) THEN 'pagado2023'
			ELSE 'nopagado2023'
		END AS estado_pago_2023
	FROM detalles_factura as df 
	INNER JOIN facturas as f ON f.id = df.factura_id 
	
	INNER JOIN socios as so ON so.id_socio = f.socio_id 
	left JOIN categorias as cat ON cat.id_categoria = so.id_categoria
	WHERE f.estatus = 1 and f.fecha>'2021-10-01 00:00:00'and (so.id_categoria = 2 OR so.id_categoria = 4)
	AND df.concepto_id IN (109,110,111,112,113,114,115,116,117,118,119,120,126,127,128,129,130,131,132,133,134,135,136,149,150,151,152,153,154,160,161,162,163,164,165,167,168,169,170,171,172,185,186,187,188,189,190,192,193,194,195,196,197);";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function Pagados2022($id_socio,$evento) {
		$sql = "SELECT df.factura_id, so.id_socio, CONCAT(so.nombre,' ' , so.apellidop,' ', so.apellidom) as Nombre, so.email, so.rfc, CASE
		WHEN f.socio_id=so.id_socio AND df.concepto_id IN (33,34,35,36,37,38,39,40,41,42,44,45,46,47,48,64,65,66,67,68,71,72) THEN 'pagado2022'
		ELSE 'nopagado2022'
	END AS estado_pago_2022
FROM detalles_factura as df 
INNER JOIN facturas as f ON f.id = df.factura_id 
INNER JOIN socios as so ON so.id_socio = f.socio_id 
WHERE f.estatus = 1 AND f.socio_id=".$id_socio." 
AND df.concepto_id IN (33,34,35,36,37,38,39,40,41,42,44,45,46,47,48,64,65,66,67,68,71,72);";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		if(isset($resultado[0])){
			return $resultado;
		}else{
			if ($this->getEventoAnteriorPagado($id_socio, $evento)) {
				return true;
			} else {
				return  false;
			}
		}

	}

	
	public function Pagados2021($id_socio,$evento) {
		$sql = "SELECT df.factura_id, so.id_socio, CONCAT(so.nombre,' ' , so.apellidop,' ', so.apellidom) as Nombre, so.email, so.rfc, CASE
		WHEN f.socio_id=so.id_socio AND df.concepto_id IN (17,18,19,20,22) THEN 'pagado2021'
		ELSE 'nopagado2021'
	END AS estado_pago_2021
FROM detalles_factura as df 
INNER JOIN facturas as f ON f.id = df.factura_id 
INNER JOIN socios as so ON so.id_socio = f.socio_id 
WHERE f.estatus = 1 AND f.socio_id=".$id_socio." and f.fecha>'2021-10-01 00:00:00' 
AND df.concepto_id IN (17,18,19,20,22);";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		if(isset($resultado[0])){
			return "Pagado 2021";
		}else{
			$sql = "SELECT df.factura_id, so.id_socio, CONCAT(so.nombre,' ' , so.apellidop,' ', so.apellidom) as Nombre, so.email, so.rfc, CASE
		WHEN f.socio_id=so.id_socio AND df.concepto_id IN (17,18,19,20,22) THEN 'pagado2021'
		ELSE 'nopagado2021'
	END AS estado_pago_2021
FROM detalles_factura as df 
INNER JOIN facturas as f ON f.id = df.factura_id 
INNER JOIN socios as so ON so.id_socio = f.socio_id 
WHERE f.estatus = 1 AND f.socio_id=".$id_socio."  
AND df.concepto_id IN (17,18,19,20,22);";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		if(isset($resultado[0])){
			return "Pagado desde antes";
		}else{
		return "No pagado";
		}
	
	}}
	public function getEventoAnteriorPagado($socio_id, $evento) {
		$sql = "SELECT count(socio_id) as pagado FROM pagos WHERE socio_id=" . $socio_id . " AND an" . $evento . "=1;";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetch(PDO::FETCH_OBJ);
		if ($resultado->pagado) {
			return true;
		} else {
			return false;
		}
	}
	public function registrados() {
		$sql = "SELECT * FROM registrosPagados";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function pais($id) {
		$sql = "SELECT * FROM e_paises WHERE id=$id";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function estado($id) {
		$sql = "SELECT * FROM e_estados WHERE id=$id";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function razon($email) {
		$sql = "SELECT * FROM datos_facturacion WHERE email='$email'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function razonT($email) {
		$sql = "SELECT descripcion FROM cfdi WHERE id='$email'";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}
	public function razonR($email) {
		$sql = "SELECT descripcion FROM regimenesfiscales WHERE id_regimen=$email";
		$sentencia = $this->conexion_db->prepare($sql);
		$sentencia->execute(array());
		$resultado = $sentencia->fetchALL(PDO::FETCH_OBJ);
		$sentencia->closeCursor();
		return $resultado;
	}

	
	

}

?>
