<?php
include 'config.php';
require 'conexion.php';
require 'models.php';
$H = new Data();
$paises = $H->getPaisesE();
// $estados = $H->getEstadoBYPais(156); 
// print_r($estados);
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>REGISTRO</title>
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
		integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
	<style>
		.contenForm {}

		.customConten {
			/* max-width: 500px; */
			margin: auto;
			/* transform: translateY(160px); */
			display: flex;
			justify-content: center;
			align-items: center;
			flex-wrap: wrap;
			/* animation: 2s infinite alternate cambioCara; */
		}

		.registro {
			animation: 2s infinite alternate cambioCara;
		}

		body {
			/* height: 100vh; */
			overflow-x: hidden;
			animation: 10s infinite alternate desaumentoIMG;
			background-size: cover;
			background-position: center;
			background-image: url("./assets/images/1p.jpg");
		}

		.dtx {
			min-height: 100vh;
			margin: auto;
			display: flex;
			flex-wrap: wrap;
		}

		.backIMG {
			height: 100vh;
			animation: 60s infinite alternate desaumentoIMG;
			position: absolute;
			width: 100vh;
			background-size: cover;
			background-position: center;
		}



		@keyframes desaumentoIMG {
			0% {
				background-image: url("./assets/images/1p.jpg");
			}

			50% {
				background-image: url("./assets/images/2p.jpg");
			}

			100% {
				/* scale: 2.2; */
				background-image: url("./assets/images/1p.jpg");
			}
		}

		.customForm {
			background-color: #ffffff45;
			padding: 15px;
			border-radius: 10px;
			backdrop-filter: blur(5px);
			max-width: 450px;
		}

		@media (min-width:602px) {
			.customIMG {
				max-width: 450px;
				height: 380px;
			}
		}

		.contenTitulo {
			width: 100%;
			height: 200px;
			display: flex;
			background-color: #0d6efd;
			padding: 10px 0px;
		}

		.contenTitulo h2 {
			text-align: center;
			margin: auto;
			color: #ffffff;
			margin-bottom: 40px;
			/* margin-top: 24px; */


		}

		.customContenPago {
			margin: auto;
			display: flex;
			justify-content: center;
			align-items: center;
			flex-wrap: wrap;
			/* transform: translateY(-100px) rotateX(270deg); */

			/* animation: 2s infinite alternate cambioCaraPago; */
		}

		.pago {
			animation: 2s infinite alternate cambioCaraPago;
		}


		@keyframes cambioCara {
			100% {
				background-color: #ffffff45;
				backdrop-filter: blur(5px);
				transform: translateY(-100px) rotateX(90deg);
			}
		}

		@keyframes cambioCaraPago {
			50% {
				background-color: #ffffff45;
				backdrop-filter: blur(5px);
			}

			100% {
				background-color: transparent;
				backdrop-filter: blur(0px);
				transform: translateY(-360px) rotateX(360deg);
			}
		}

		.rotador {
			/* scale: 0.9; */
			width: 100%;
			height: 100%;
			height: 750px;
			position: relative;
			transform-style: preserve-3d;
			transform: translateZ(-150px);
			transition: all 1s;
			display: flex;
			justify-content: center;
			align-items: center;
		}

		.sides {
			position: absolute;
			/* width: 300px;
  height: 450px; */
			transform: scale(0.7);
		}

		.side-1 {
			transform: rotateX(0deg) translateZ(270px);
			z-index: 2;

		}

		.side-2 {

			transform: rotateX(90deg) translateZ(270px);
		}

		.rotacion {
			transform: translateZ(-270px) rotateX(-90deg);

		}

		@media (max-width:875px) {
			.rotador {
				scale: 0.7;
			}
		}

		.custombtn {
			margin-left: auto;
		}

		.labelPago {
			font-size: x-large;
			font-weight: 700;
			background-color: #ff898996;
			border-radius: 0px 10px 10px;
			color: #ffffff;
		}

		.customLabel {
			/* color: #ffffff; */
			background-color: #ffffff;
			border-radius: 10px;
			padding: 10px;
		}

		.card_pago {
			width: 90%;
			height: 200px;
			margin: 15px auto;
			padding: 10px;
			background-color: #3582f4;
			border-radius: 10px;
			color: #ffffff;
		}

		.chip {
			width: 50px;
			margin: 0 5%;
			border-radius: 10px;
		}

		.t-text1 {
			display: inline-block;
			width: 70%;
			text-align: center;
		}

		.t-text2 {
			text-align: center;
		}

		.t-text3 {
			width: 50px;
			display: inline-block;
		}

		.t-text4 {
			display: inline-block;
			width: 80%;
		}

		.t-text5 {
			text-align: center;
		}

		.btn-check:checked+.btn {
			background-color: #3582f4;
			color: #ffffff;
		}

		.inputsFacturacion {
			display: flex;
			justify-content: space-between;
			align-items: center;
			flex-wrap: wrap;
		}

		.display_none {
			display: none;
		}
	</style>
</head>

<body id="root" class="dtx responsive">



	<!-- <img class="backIMG" src="" alt=""> -->
	<div class="contenTitulo">
		<h2>
			CURSO INTERNACIONAL DEL TRATAMIENTO MÉDICO Y QUIRÚRGICO EVALUACIÓN Y RESOLUCIÓN DE COMPLICACIONES <br> ENFERMEDAD DE HIRSCHSPRUNG 2025
		</h2>
	</div>





	<div class="container-md  customConten ">
		<form action="https://jc-innovation.com/curso-internacional/actualizaFiscales.php" class="row g-3 customForm"
			method="post" id="form_Absoluto" enctype="multipart/form-data">



			<center class="customLabel">
				<h3>Datos de Facturación</h3>
				Para actualizar tus datos fiscales escribe tu correo electrónico con el cual pagaste el curso
			</center>



			<div class="form-floating col-md-12">
				<input name="email" type="email" class="form-control" id="r10" placeholder="Razón Social"
					required oninput="searchUserByEmail(this.value)">
				<label for="floatingName">emial</label>
			</div>
			<center id="nota" style="color: red;" class="display_none">
				ESTE USUARIO NO EXISTE
			</center>
			<div class="form-floating col-md-12">
				<input name="Nombre" type="text" class="form-control" id="r9" placeholder="Razón Social" required
					value="" disabled>
				<label for="floatingName">Nombre </label>
			</div>
			<div class="form-floating col-md-6">
				<input name="razon_social" type="text" class="form-control" id="r11" placeholder="Razón Social"
					required>
				<label for="floatingName">Razón Social</label>
			</div>
			<div class="form-floating col-md-6">
				<input name="rfc" type="text" class="form-control" id="r11" placeholder="RFC" required>
				<label for="floatingLastName">RFC</label>
			</div>
			<div class="form-floating col-md-6">
				<input name="codigo_postal" type="number" class="form-control" id="r12" placeholder="Código Postal"
					required>
				<label for="floatingEmailAddress">Código Postal</label>
			</div>
			<div class="col-md-6">
				<select id="r13" name="estado_fac" style="border: 1px solid #eb6722;" class="form-select" required>
					<?php $estados = $H->getEstadoBYPais(156); ?>

					<option value="">Seleccionar estado</option>
					<?php foreach ($estados as $estado) { ?>
						<option value="<?php echo $estado->id ?> ">
							<?php echo $estado->estado ?>
						</option>
					<?php } ?>

				</select>
			</div>
			<div class="form-floating col-md-6" style="margin-top: 10px;">
				<!-- <input type="text" name="cdf" class="form-control" id="r14" placeholder="Uso de CDF" required> -->
				<!-- <label for="floatingPhoneNumber">Uso de CFDI</label> -->

				<select id="r14" name="cdf" style="border: 1px solid #eb6722;" class="form-select" required>
					<?php $CFDI = $H->getCFDI(); ?>

					<option value="">CFDI</option>
					<?php foreach ($CFDI as $C) {
						if ($C->id != 25) { ?>
							<option value="<?php echo $C->id ?> ">
								<?php echo $C->id_cfdi . " " . $C->descripcion ?>
							</option>
					<?php }
					} ?>
					<option value="25">Médicos extranjeros * uso gastos en general</option>

				</select>
			</div>
			<div class="col-md-6">
				<select id="r15" name="regimen_fiscal" style="border: 1px solid #eb6722;" class="form-select" required>
					<option value="">Selecciona un Regimen</option>
					<optgroup label="Personas Físicas">
						<?php
						$dataR = $H->getRegimen();
						foreach ($dataR as $dat) {
							if ($dat->fisico == "Sí") {
						?>
								<option value="<?php echo $dat->id_regimen ?>">
									<?php echo $dat->id_regimen . " " . $dat->descripcion ?>
								</option>
							<?php } ?>
						<?php } ?>
					</optgroup>
					<optgroup label="Personas Morales">
						<?php
						foreach ($dataR as $dat) {
							if ($dat->moral == "Sí") {
						?>
								<option value="<?php echo $dat->id_regimen ?>">
									<?php echo $dat->id_regimen . " " . $dat->descripcion ?>
								</option>
							<?php } ?>
						<?php } ?>
					</optgroup>

				</select>
			</div>
			<center class="customLabel">
				<b style="color: red;">Nota: solo se aceptan archivos PDF</b>
			</center>
			<div class="form-floating col-md-12" style="margin-top: 10px;">
				<input type="file" name="cedula" class="form-control" id="r16" placeholder="Cédula"
					accept="application/pdf">
				<label for="floatingPhoneNumber">Constancia situacion fiscal </label>
			</div>



			<button class="btn btn-primary btn-lg"> Continuar </button>
		</form>


		<div>
			<img class="img-fluid customIMG" src="./assets/images/2024/curso_internacional.jpg" style="height:auto" alt=""><br>

			<div class="alert alert-warning d-flex align-items-center" role="alert">
				<div>
					Los precios de los cursos están basados en pesos mexicanos.
				</div>
			</div>
		</div>


	</div>


	<?php
	if (isset($_GET["res"])) {
		$rechazo = [
			"Este Email no esta registrado",
			"Aun no ha realizado el registro de los datos de este email",
			"background-color: #dc3545;color:#ffffff;"
		];
		$CancelUsuario = ["PAGO CANCELADO", "Pago cancelado por el usuario ", "background-color: #dc3545;color:#ffffff;"];
		$pagado = ["ESTE CORREO YA PAGO", "ESTE CORREO YA REALIZO SU PAGO", "background-color: #cdb735;color:#ffffff;"];
		$EXPIRADA = [
			"DATOS",
			"Se ha excedido el tiempo de espera para el pago de la
    transacción ",
			"background-color: #cdb735;color:#ffffff;"
		];

		$message = ["COMPRA CANCELADA", "LA COMPRA FUE CANCELADA", "background-color: #dc3545;color:#ffffff;"];
		$CORREOeRRONEO = ["Datos actualizados", "LOS DATOS FISCALES FUERON ACTUALIZADOS CORRECTAMENTE", "background-color: #41ca0a;color:#ffffff;"];
		$Archivo = ["Error con el archivo Cedula", "El archivo que se subió no tiene el peso o el formato correcto", "background-color: #dc3545;color:#ffffff;"];
		if ($_GET["res"] == 2522) {
			$message = $rechazo;
		}
		if ($_GET["res"] == 2524) {
			$message = $pagado;
		}
		if ($_GET["res"] == 2523) {
			$message = $CancelUsuario;
		}
		if ($_GET["res"] == 2525) {
			$message = $EXPIRADA;
		}
		if ($_GET["res"] == 2529) {
			$message = $Archivo;
		}
		if ($_GET["res"] == 2530) {
			$message = $CORREOeRRONEO;
		}
	?>
		<div class="toast-container position-fixed top-0 end-0 p-3 --bs-danger">
			<div id="liveToastStatus" class="toast" role="alert" aria-live="assertive" aria-atomic="true"
				style="<?php echo $message[2] ?>">
				<div class="toast-header">
					<!-- <img src="..." class="rounded me-2" alt="..."> -->
					<strong class="me-auto">
						<?php echo $message[0] ?>
					</strong>
					<small>2s</small>
					<button type="button" class="btn-close" data-bs-dismiss="toast" aria-label="Close"></button>
				</div>
				<div class="toast-body">
					<?php echo $message[1] ?>
				</div>
			</div>
		</div>
	<?php
	}
	?>


	<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"
		integrity="sha384-C6RzsynM9kWDrMNeT87bh95OGNyZPhcTNXj1NW7RuBCsyN/o0jlpcV8Qyq46cDfL"
		crossorigin="anonymous"></script>
	<script>
		const toastTrigger = document.getElementById('liveToastBtn')
		const toastLiveExample = document.getElementById('liveToast')

		if (toastTrigger) {
			const toastBootstrap = bootstrap.Toast.getOrCreateInstance(toastLiveExample)
			toastTrigger.addEventListener('click', () => {
				toastBootstrap.show()
			})
		}
		const toastTriggerStatus = document.getElementById('liveToastBtnStatus')
		const toastLiveExampleStatus = document.getElementById('liveToastStatus')

		const StatusCompra = () => {
			const toastBootstrap = bootstrap.Toast.getOrCreateInstance(toastLiveExampleStatus)
			toastBootstrap.show()
		}

		<?php if (isset($_GET["res"])) { ?>
			StatusCompra()
		<?php } ?>
	</script>
	<script src="assets/jquery-3.3.1.min.js" defer></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"
		integrity="sha512-U6K1YLIFUWcvuw5ucmMtT9HH4t0uz3M366qrF5y4vnyH6dgDzndlcGvH/Lz5k8NFh80SN95aJ5rqGZEdaQZ7ZQ=="
		crossorigin="anonymous" referrerpolicy="no-referrer"></script>
	<script type="text/javascript">
		function searchUserByEmail(value) {
			var email = value
			console.log("buscando")
			$.ajax({
					url: 'getUser.php',
					type: 'POST',
					dataType: 'json',
					data: {
						email: email
					},
				})
				.done(function(datos) {
					if (datos.respuesta == "OK") {
						document.getElementById("r9").value = (datos.user);
						document.getElementById("nota").classList.add("display_none")
					} else {
						document.getElementById("nota").classList.remove("display_none")
						document.getElementById("r9").value = "";
					}
				})
				.fail(function(datos) {
					console.log(datos.responseText);
				});

		}
	</script>
</body>

</html>